Dark Reading is part of the Informa Tech Division of Informa PLC

This site is operated by a business or businesses owned by Informa PLC and all copyright resides with them.Informa PLC's registered office is 5 Howick Place, London SW1P 1WG. Registered in England and Wales. Number 8860726.

Comments
RSA Warns Of Zero Detection Trojan
Newest First  |  Oldest First  |  Threaded View
theb0x
100%
0%
theb0x,
User Rank: Ninja
12/2/2015 | 10:29:53 AM
Re: "Transparent"
It's because of how the exploit drops directly into RAM bypassing any security software. This teqnique is nothing new. The dropper can be encoded dozens of times to such a point that even using the most advanced file heuristic analysis it goes undetected.  It also has polymorphic properties so it is capable of self modifying it's own code to further evade detection. This makes signature based detection also useless. Another method used is covert application channels where shell code is injected into a file such as calc.exe or system file and the digital file signature is also forged. All connections established by the RAT are fully encrypted utilizing Reverse_TCP connection method. Because the infected system is 'phoning home' it in most cases is allowed through the firewall. One way to prevent this connection attempt is to have proper implicit deny ACLs in place. However, one would have to be able to monitor and identify the outgoing encrypted traffic or any network traffic for that matter and verifiy it is in fact legitimate. Constant whitelisting would need to be properly applied without the distruption of 'Normal' traffic. I do not see any practical solution to this in the near future.
Joe Stanganelli
50%
50%
Joe Stanganelli,
User Rank: Ninja
11/27/2015 | 11:49:36 PM
Re: "Transparent"
The transparency or "invisibility" comes through the faulty certificate and, possibly, from other characteristics that make it behave like an innocent file.
RyanSepe
50%
50%
RyanSepe,
User Rank: Ninja
11/25/2015 | 11:24:28 AM
Security Measures
What security measures and best practices should be used for a trojan that is detectable only via network forensics and specialized tools that are capable of detecting suspicious activity on endpoint systems? Also, what are these "specialized tools"?
RyanSepe
50%
50%
RyanSepe,
User Rank: Ninja
11/25/2015 | 11:22:33 AM
"Transparent"
What makes GlassRat "transparent"?


Edge-DRsplash-10-edge-articles
I Smell a RAT! New Cybersecurity Threats for the Crypto Industry
David Trepp, Partner, IT Assurance with accounting and advisory firm BPM LLP,  7/9/2021
News
Attacks on Kaseya Servers Led to Ransomware in Less Than 2 Hours
Robert Lemos, Contributing Writer,  7/7/2021
Commentary
It's in the Game (but It Shouldn't Be)
Tal Memran, Cybersecurity Expert, CYE,  7/9/2021
Register for Dark Reading Newsletters
White Papers
Video
Cartoon
Current Issue
Enterprise Cybersecurity Plans in a Post-Pandemic World
Download the Enterprise Cybersecurity Plans in a Post-Pandemic World report to understand how security leaders are maintaining pace with pandemic-related challenges, and where there is room for improvement.
Flash Poll
Twitter Feed
Dark Reading - Bug Report
Bug Report
Enterprise Vulnerabilities
From DHS/US-CERT's National Vulnerability Database
CVE-2021-41381
PUBLISHED: 2021-09-23
Payara Micro Community 5.2021.6 and below allows Directory Traversal.
CVE-2021-41428
PUBLISHED: 2021-09-23
Insecure permissions in Update Manager <= 5.8.0.2300 and DFL <= 12.5.1001.5 in DATEV programs v14.1 allows attacker to escalate privileges via insufficient configuration of service components.
CVE-2021-21913
PUBLISHED: 2021-09-23
An information disclosure vulnerability exists in the WiFi Smart Mesh functionality of D-LINK DIR-3040 1.13B03. A specially-crafted network request can lead to command execution. An attacker can connect to the MQTT service to trigger this vulnerability.
CVE-2021-26750
PUBLISHED: 2021-09-23
DLL hijacking in Panda Agent <=1.16.11 in Panda Security, S.L.U. Panda Adaptive Defense 360 <= 8.0.17 allows attacker to escalate privileges via maliciously crafted DLL file.
CVE-2021-36872
PUBLISHED: 2021-09-23
Authenticated Persistent Cross-Site Scripting (XSS) vulnerability in WordPress Popular Posts plugin (versions <= 5.3.3). Vulnerable at &widget-wpp[2][post_type].